POST
/
funnels
/
funnel
/
update-funnel-and-page
cURL
curl --request POST \
--url https://services.leadconnectorhq.com/funnels/funnel/update-funnel-and-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnelId": "<string>",
"locationId": "<string>",
"stepId": "<string>",
"archivePageId": "<string>",
"restoreArchivePageId": "<string>",
"restorePageId": "<string>",
"funnelStepDetails": {
"stepId": "<string>",
"name": "<string>",
"pages": [
"<string>"
],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": [
"<string>"
],
"originId": "<string>",
"split": true,
"control_traffic": 123,
"route_all_requests": true,
"additional_routes": [
"<string>"
],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funnelId: '<string>',
locationId: '<string>',
stepId: '<string>',
archivePageId: '<string>',
restoreArchivePageId: '<string>',
restorePageId: '<string>',
funnelStepDetails: {
stepId: '<string>',
name: '<string>',
pages: ['<string>'],
sequence: 123,
url: '<string>',
type: '<string>',
products: ['<string>'],
originId: '<string>',
split: true,
control_traffic: 123,
route_all_requests: true,
additional_routes: ['<string>'],
split_started_at: {},
split_ended_at: {},
domainName: '<string>'
}
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/update-funnel-and-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/update-funnel-and-page"
payload = {
"funnelId": "<string>",
"locationId": "<string>",
"stepId": "<string>",
"archivePageId": "<string>",
"restoreArchivePageId": "<string>",
"restorePageId": "<string>",
"funnelStepDetails": {
"stepId": "<string>",
"name": "<string>",
"pages": ["<string>"],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": ["<string>"],
"originId": "<string>",
"split": True,
"control_traffic": 123,
"route_all_requests": True,
"additional_routes": ["<string>"],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - undefined
Last modified on May 19, 2026
Was this page helpful?
⌘I
cURL
curl --request POST \
--url https://services.leadconnectorhq.com/funnels/funnel/update-funnel-and-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funnelId": "<string>",
"locationId": "<string>",
"stepId": "<string>",
"archivePageId": "<string>",
"restoreArchivePageId": "<string>",
"restorePageId": "<string>",
"funnelStepDetails": {
"stepId": "<string>",
"name": "<string>",
"pages": [
"<string>"
],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": [
"<string>"
],
"originId": "<string>",
"split": true,
"control_traffic": 123,
"route_all_requests": true,
"additional_routes": [
"<string>"
],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funnelId: '<string>',
locationId: '<string>',
stepId: '<string>',
archivePageId: '<string>',
restoreArchivePageId: '<string>',
restorePageId: '<string>',
funnelStepDetails: {
stepId: '<string>',
name: '<string>',
pages: ['<string>'],
sequence: 123,
url: '<string>',
type: '<string>',
products: ['<string>'],
originId: '<string>',
split: true,
control_traffic: 123,
route_all_requests: true,
additional_routes: ['<string>'],
split_started_at: {},
split_ended_at: {},
domainName: '<string>'
}
})
};
fetch('https://services.leadconnectorhq.com/funnels/funnel/update-funnel-and-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/funnels/funnel/update-funnel-and-page"
payload = {
"funnelId": "<string>",
"locationId": "<string>",
"stepId": "<string>",
"archivePageId": "<string>",
"restoreArchivePageId": "<string>",
"restorePageId": "<string>",
"funnelStepDetails": {
"stepId": "<string>",
"name": "<string>",
"pages": ["<string>"],
"sequence": 123,
"url": "<string>",
"type": "<string>",
"products": ["<string>"],
"originId": "<string>",
"split": True,
"control_traffic": 123,
"route_all_requests": True,
"additional_routes": ["<string>"],
"split_started_at": {},
"split_ended_at": {},
"domainName": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)